Subject: Re: [Anima] Call for adoption: draft-richardson-anima-rfc8366bis, ends December 19th, 2021

From: Michael Richardson <[email-masked]>
Date: Tue, 11 Jan 2022 20:18:43 -0500

<[email-masked]> wrote:
    >> > (3) This part from the IANA module should be updated as follows:
    >>
    >> I did the rest of your suggestions, 3-7.  I'm a bit surprised at
    >> changing the YANG module contact info.  Do I do that for both modules,
    >> or only the one that I want IANA to maintain?

    > [Med] The comment applies only for the IANA-maintained module.

I have fixed the yang modules so that only the iana maintained modules is
given the IANA/ICANN Address.

This is in the draft-ietf-anima-rfc8366bis-00 document which is waiting for
WG chair to approve.

<[email-masked]> wrote:
    > I do think it is better to maintain the enum rather than identities
    > given that the document talks about future cbor mapping, for which
    > compact encoding may be needed. If this was transformed into
    > identities, the assertion attribute must be prefixed with
    > “iana-voucher-assertion-type”.

I think you are saying that we should put "value" statements in so that when
we serialize as CBOR, we use integers rather than strings?

Qin Wu <[email-masked]> wrote:
    > [Qin Wu] Thanks for clarification, I believe your comment is relate to
    > Lada's proposal
    > https://mailarchive.ietf.org/arch/msg/netmod/hxy7gKJ13yA0L_PYopb7usql870/
    > Yes, this proposal did work for me, which automate process not only for
    > IANA registries update, but also for IANA maintained YANG module
    > update, but I am not sure whether this proposal have been fully
    > accepted and implemented.

It seems like a good thing to reduce amount of work for IANA, but I'm unclear
what, if anything, I need to do.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Michael Richardson <[email-masked]>
Date: Tue, 11 Jan 2022 20:21:35 -0500

<[email-masked]> wrote:
    >> https://github.com/anima-wg/voucher/pull/18

    > [Med] Thanks. Please consider running "pyang -f yang --keep-comments"
    > for both modules.

Since we process the inputs for YYYY-MM-DD I guess that I can insert that
into the pipeline.